spandsp 0.0.6

modem_connect_tones_tx_state_s Struct Reference

`#include <modem_connect_tones.h>`

## Public Attributes
int | tone_type
int32_t | tone_phase_rate
uint32_t | tone_phase
int16_t | level
int | hop_timer
| Countdown to the next phase hop.
int | duration_timer
| Maximum duration timer.
uint32_t | mod_phase
int32_t | mod_phase_rate
int16_t | mod_level

## Detailed Description

Modem connect tones generator descriptor. This defines the state of a single working instance of the tone generator.

The documentation for this struct was generated from the following file:

- private/modem_connect_tones.h